### Hierarchy

- Options
  - Options
  - Options

## Index

### Properties

- auth
- authMethod
- connection
- connectionTimeout
- debug
- greetingTimeout
- host
- ignoreTLS
- localAddress
- logger
- name
- opportunisticTLS
- port
- requireTLS
- secure
- socket
- socketTimeout
- tls
- transactionLog

## Properties

### Optional auth

auth: AuthenticationType

- Defined in node_modules/@types/nodemailer/lib/smtp-connection.d.ts:107

defines authentication data

### Optional authMethod

authMethod: undefined | string

- Defined in node_modules/@types/nodemailer/lib/smtp-connection.d.ts:133

defines preferred authentication method, e.g. ‘PLAIN’

### Optional connection

connection: net.Socket

- Defined in node_modules/@types/nodemailer/lib/smtp-connection.d.ts:139

connected socket to use instead of creating and connecting a new one. If secure option is true, then socket is upgraded from plaintext to ciphertext

### Optional connectionTimeout

connectionTimeout: ms

- Defined in node_modules/@types/nodemailer/lib/smtp-connection.d.ts:121

how many milliseconds to wait for the connection to establish

### Optional debug

debug: undefined | false | true

- Defined in node_modules/@types/nodemailer/lib/smtp-connection.d.ts:131

if set to true, then logs SMTP traffic and message content, otherwise logs only transaction events

### Optional greetingTimeout

greetingTimeout: ms

- Defined in node_modules/@types/nodemailer/lib/smtp-connection.d.ts:123

how many milliseconds to wait for the greeting after connection is established

### Optional host

host: undefined | string

- Defined in node_modules/@types/nodemailer/lib/smtp-connection.d.ts:103

the hostname or IP address to connect to (defaults to ‘localhost’)

### Optional ignoreTLS

ignoreTLS: undefined | false | true

- Defined in node_modules/@types/nodemailer/lib/smtp-connection.d.ts:111

turns off STARTTLS support if true

### Optional localAddress

localAddress: undefined | string

- Defined in node_modules/@types/nodemailer/lib/smtp-connection.d.ts:119

the local interface to bind to for network connections

### Optional logger

logger: Logger | boolean

- Defined in node_modules/@types/nodemailer/lib/smtp-connection.d.ts:127

optional bunyan compatible logger instance. If set to true then logs to console. If value is not set or is false then nothing is logged

### Optional name

name: undefined | string

- Defined in node_modules/@types/nodemailer/lib/smtp-connection.d.ts:117

optional hostname of the client, used for identifying to the server

### Optional opportunisticTLS

opportunisticTLS: undefined | false | true

- Defined in node_modules/@types/nodemailer/lib/smtp-connection.d.ts:115

tries to use STARTTLS and continues normally if it fails

### Optional port

port: undefined | number

- Defined in node_modules/@types/nodemailer/lib/smtp-connection.d.ts:105

the port to connect to (defaults to 25 or 465)

### Optional requireTLS

requireTLS: undefined | false | true

- Defined in node_modules/@types/nodemailer/lib/smtp-connection.d.ts:113

forces the client to use STARTTLS. Returns an error if upgrading the connection is not possible or fails.

### Optional secure

secure: undefined | false | true

- Defined in node_modules/@types/nodemailer/lib/smtp-connection.d.ts:109

defines if the connection should use SSL (if true) or not (if false)

### Optional socket

socket: net.Socket

- Defined in node_modules/@types/nodemailer/lib/smtp-connection.d.ts:137

initialized socket to use instead of creating a new one

### Optional socketTimeout

socketTimeout: ms

- Defined in node_modules/@types/nodemailer/lib/smtp-connection.d.ts:125

how many milliseconds of inactivity to allow

### Optional tls

tls: tls.ConnectionOptions

- Defined in node_modules/@types/nodemailer/lib/smtp-connection.d.ts:135

defines additional options to be passed to the socket constructor, e.g. {rejectUnauthorized: true}

### Optional transactionLog

transactionLog: undefined | false | true

- Defined in node_modules/@types/nodemailer/lib/smtp-connection.d.ts:129

if set to true, then logs SMTP traffic without message content

Generated using TypeDoc